Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Установка php5-fpm  (Прочитано 1258 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн stcoder

  • Автор темы
  • Новичок
  • *
  • Сообщений: 2
    • Просмотр профиля
Установка php5-fpm
« : 06 Август 2013, 11:12:36 »
Всем привет.
Система: Ubuntu 12.04.2 LTS
sources.list
deb http://archive.ubuntu.com/ubuntu oneiric main restricted universe
deb http://archive.ubuntu.com/ubuntu oneiric-updates main restricted universe
deb http://security.ubuntu.com/ubuntu oneiric-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu oneiric partner
deb http://nginx.org/packages/ubuntu/ lucid nginx
deb-src http://nginx.org/packages/ubuntu/ lucid nginx
deb http://ppa.launchpad.net/brianmercer/php/ubuntu lucid main
deb-src http://ppa.launchpad.net/brianmercer/php/ubuntu lucid main

При установке apt-get install php5-fpm
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 php5-fpm : Depends: sysv-rc (>= 2.88dsf-24) but 2.88dsf-13.10ubuntu11.1 is to be installed or
                     file-rc (>= 0.8.16) but it is not installable
E: Unable to correct problems, you have held broken packages.

Помогите товарищи, не знаю что делать.

Оффлайн victor00000

  • Забанен
  • Старожил
  • *
  • Сообщений: 15570
  • Глухонемой (Deaf)
    • Просмотр профиля
Re: Установка php5-fpm
« Ответ #1 : 06 Август 2013, 11:29:16 »
stcoder,
невозможно
Нельзя друзья, дулу - AnrDaemon видите?
~.o

Оффлайн stcoder

  • Автор темы
  • Новичок
  • *
  • Сообщений: 2
    • Просмотр профиля
Re: Установка php5-fpm
« Ответ #2 : 06 Август 2013, 11:32:52 »
Почему?

Оффлайн sash23

  • Участник
  • *
  • Сообщений: 130
    • Просмотр профиля
Re: Установка php5-fpm
« Ответ #3 : 08 Август 2013, 17:27:18 »
у вас стоит 12.04(precise) а в sources.list указаны ссылки на 10.04(lucid) и 11.10(oneric)

короче в sources.list у вас полная каша поэтому ничего и не устанавливается

кроме того для установки php5-fpm не требуется подключение ppa, так как этот пакет есть в стандартных репах
и nginx там тоже есть

Оффлайн kim_ua

  • Новичок
  • *
  • Сообщений: 14
    • Просмотр профиля
Re: Установка php5-fpm
« Ответ #4 : 13 Август 2013, 18:35:36 »
Через apt-add-repository добавь эту ppa:ondrej/php5 ппашку из launchpad. Почисти свой sourceslist.
Далее
sudo apt-get update
sudo apt-get install php5-fpm
И будет тебе счастье  :)

 

Страница сгенерирована за 0.096 секунд. Запросов: 24.